summaryrefslogtreecommitdiffstats
path: root/modules.d/90crypt/crypt-cleanup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/90crypt/crypt-cleanup.sh')
-rwxr-xr-xmodules.d/90crypt/crypt-cleanup.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/modules.d/90crypt/crypt-cleanup.sh b/modules.d/90crypt/crypt-cleanup.sh
new file mode 100755
index 0000000..94fa724
--- /dev/null
+++ b/modules.d/90crypt/crypt-cleanup.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# close everything which is not busy
+rm -f -- /etc/udev/rules.d/70-luks.rules > /dev/null 2>&1
+
+if ! getarg rd.luks.uuid -d rd_LUKS_UUID > /dev/null 2>&1 && getargbool 1 rd.luks -d -n rd_NO_LUKS > /dev/null 2>&1; then
+ while true; do
+ local do_break="y"
+ for i in /dev/mapper/luks-*; do
+ cryptsetup luksClose "$i" > /dev/null 2>&1 && do_break=n
+ done
+ [ "$do_break" = "y" ] && break
+ done
+fi